summaryrefslogtreecommitdiffstats
path: root/coin/provisioning
diff options
context:
space:
mode:
authorJoni Jantti <joni.jantti@qt.io>2017-12-27 12:35:25 +0200
committerTony Sarajärvi <tony.sarajarvi@qt.io>2017-12-27 22:11:21 +0000
commitcec7c072838359522ad2743e765d0c6315de907c (patch)
treea13f221b3acbe688e651dfa942371c741af3e119 /coin/provisioning
parentb23faee265630632a0fa057d226d0fe3f3f25140 (diff)
Add set -ex to provisioning scripts for osx-10.10
Change-Id: I732df317aa0016b1d970e0d37167a3fc9276a645 Reviewed-by: Tony Sarajärvi <tony.sarajarvi@qt.io>
Diffstat (limited to 'coin/provisioning')
-rw-r--r--coin/provisioning/qtci-osx-10.10-x86_64/001-crashreporter.sh3
-rwxr-xr-xcoin/provisioning/qtci-osx-10.10-x86_64/001-system_updates.sh2
-rw-r--r--coin/provisioning/qtci-osx-10.10-x86_64/002-disable-screensaver.sh2
-rw-r--r--coin/provisioning/qtci-osx-10.10-x86_64/003-bashprofile.sh2
-rwxr-xr-xcoin/provisioning/qtci-osx-10.10-x86_64/004-cmake.sh2
-rw-r--r--coin/provisioning/qtci-osx-10.10-x86_64/025-python3.sh2
-rwxr-xr-xcoin/provisioning/qtci-osx-10.10-x86_64/08-libclang.sh2
7 files changed, 15 insertions, 0 deletions
diff --git a/coin/provisioning/qtci-osx-10.10-x86_64/001-crashreporter.sh b/coin/provisioning/qtci-osx-10.10-x86_64/001-crashreporter.sh
index ba8dbdd3..77c41533 100644
--- a/coin/provisioning/qtci-osx-10.10-x86_64/001-crashreporter.sh
+++ b/coin/provisioning/qtci-osx-10.10-x86_64/001-crashreporter.sh
@@ -1,2 +1,5 @@
#!/bin/sh
+
+set -ex
+
defaults write com.apple.CrashReporter DialogType server
diff --git a/coin/provisioning/qtci-osx-10.10-x86_64/001-system_updates.sh b/coin/provisioning/qtci-osx-10.10-x86_64/001-system_updates.sh
index b05dcf1c..a1ab3a92 100755
--- a/coin/provisioning/qtci-osx-10.10-x86_64/001-system_updates.sh
+++ b/coin/provisioning/qtci-osx-10.10-x86_64/001-system_updates.sh
@@ -1,4 +1,6 @@
#!/usr/bin/env bash
+set -ex
+
BASEDIR=$(dirname "$0")
$BASEDIR/../common/system_updates.sh
diff --git a/coin/provisioning/qtci-osx-10.10-x86_64/002-disable-screensaver.sh b/coin/provisioning/qtci-osx-10.10-x86_64/002-disable-screensaver.sh
index 44df94e7..d5b2101e 100644
--- a/coin/provisioning/qtci-osx-10.10-x86_64/002-disable-screensaver.sh
+++ b/coin/provisioning/qtci-osx-10.10-x86_64/002-disable-screensaver.sh
@@ -1,5 +1,7 @@
#!/bin/sh
+set -ex
+
mkdir -p $HOME/Library/LaunchAgents
cat >$HOME/Library/LaunchAgents/no-screensaver.plist <<EOT
<?xml version="1.0" encoding="UTF-8"?>
diff --git a/coin/provisioning/qtci-osx-10.10-x86_64/003-bashprofile.sh b/coin/provisioning/qtci-osx-10.10-x86_64/003-bashprofile.sh
index 0fbe7628..a59e3e63 100644
--- a/coin/provisioning/qtci-osx-10.10-x86_64/003-bashprofile.sh
+++ b/coin/provisioning/qtci-osx-10.10-x86_64/003-bashprofile.sh
@@ -1,5 +1,7 @@
#!/bin/sh
+set -ex
+
# Read .bashrc if exist
printf -- "# Get the aliases and functions\nif [ -f ~/.bashrc ]; then\n . ~/.bashrc\nfi\n" >> ~/.bash_profile
diff --git a/coin/provisioning/qtci-osx-10.10-x86_64/004-cmake.sh b/coin/provisioning/qtci-osx-10.10-x86_64/004-cmake.sh
index ddb01d64..3cdbd463 100755
--- a/coin/provisioning/qtci-osx-10.10-x86_64/004-cmake.sh
+++ b/coin/provisioning/qtci-osx-10.10-x86_64/004-cmake.sh
@@ -1,4 +1,6 @@
#!/usr/bin/env bash
+set -ex
+
BASEDIR=$(dirname "$0")
$BASEDIR/../common/cmake.sh
diff --git a/coin/provisioning/qtci-osx-10.10-x86_64/025-python3.sh b/coin/provisioning/qtci-osx-10.10-x86_64/025-python3.sh
index cd4e3fd9..86bee612 100644
--- a/coin/provisioning/qtci-osx-10.10-x86_64/025-python3.sh
+++ b/coin/provisioning/qtci-osx-10.10-x86_64/025-python3.sh
@@ -1 +1,3 @@
+set -ex
+
source "${BASH_SOURCE%/*}/../common/python3.sh"
diff --git a/coin/provisioning/qtci-osx-10.10-x86_64/08-libclang.sh b/coin/provisioning/qtci-osx-10.10-x86_64/08-libclang.sh
index d257ffa1..2a8a90c3 100755
--- a/coin/provisioning/qtci-osx-10.10-x86_64/08-libclang.sh
+++ b/coin/provisioning/qtci-osx-10.10-x86_64/08-libclang.sh
@@ -1,5 +1,7 @@
#!/usr/bin/env bash
+set -ex
+
BASEDIR=$(dirname "$0")
# There is only one mac package and common script uses it as a default
$BASEDIR/../common/libclang.sh